com.jscape.inet.mft.audit.reporting

## Interface Metrics<V extends com.jscape.util.Visitable.VisitorBase>

- All Superinterfaces:
    com.jscape.util.Copyable<Metrics>, com.jscape.util.Visitable<V>
  All Known Implementing Classes:
    DailyStatistics, DownloadsDetail, GeneralStatistics, HourlyStatistics, LastUserLogon, MonthlyStatistics, TopAttachmentsReceived, TopAttachmentsSent, TopDownloads, TopErrors, TopExternalDownloads, TopExternalUploads, TopHosts, TopUploads, TopUsers, TotalBytesDownloaded, TotalBytesUploaded, TotalDownloads, TotalExternalBytesDownloaded, TotalExternalBytesUploads, TotalExternalDownloads, TotalExternalUploads, TotalFileAttachmentBytesReceived, TotalFileAttachmentBytesSent, TotalFileAttachmentsReceived, TotalFileAttachmentsSent, TotalSessions, TotalUniqueIps, TotalUploads, UploadsDetail, UserDetail

      public interface Metrics<V extends com.jscape.util.Visitable.VisitorBase>
      extends com.jscape.util.Visitable<V>, com.jscape.util.Copyable<Metrics>

  Domain activity metrics.
  Author:
    Alex Usun

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.jscape.util.Visitable

      `com.jscape.util.Visitable.VisitorBase, com.jscape.util.Visitable.VisitorException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset()` Resets metrics data.
    `void` | `update(Report report, com.jscape.inet.mft.LogRecord record)` Updates metrics with log record.

    - ### Methods inherited from interface com.jscape.util.Visitable

      `accept`

    - ### Methods inherited from interface com.jscape.util.Copyable

      `copy`

- - ### Method Detail

    - #### update

          void update(Report report,
                      com.jscape.inet.mft.LogRecord record)

      Updates metrics with log record.
      Parameters:
        `report` - report instance
        `record` - log record

    - #### reset

          void reset()

      Resets metrics data.

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.